Browse Source

gnu: source-highlight: Remove obsolete patch.

This should have been done in a952b10c23.

* gnu/packages/patches/source-highlight-regexrange-test.patch: Remove.
* gnu-system.am (dist_patch_DATA): Remove it.
* gnu/packages/pretty-print.scm (source-highlight)[source]: Remove patch.
gn-latest-20200428
Mark H Weaver 6 years ago
parent
commit
f905286b11
3 changed files with 1 additions and 21 deletions
  1. +0
    -1
      gnu-system.am
  2. +0
    -15
      gnu/packages/patches/source-highlight-regexrange-test.patch
  3. +1
    -5
      gnu/packages/pretty-print.scm

+ 0
- 1
gnu-system.am View File

@ -530,7 +530,6 @@ dist_patch_DATA = \
gnu/packages/patches/slim-config.patch \
gnu/packages/patches/slim-sigusr1.patch \
gnu/packages/patches/soprano-find-clucene.patch \
gnu/packages/patches/source-highlight-regexrange-test.patch \
gnu/packages/patches/superlu-dist-scotchmetis.patch \
gnu/packages/patches/tcsh-fix-autotest.patch \
gnu/packages/patches/teckit-cstdio.patch \


+ 0
- 15
gnu/packages/patches/source-highlight-regexrange-test.patch View File

@ -1,15 +0,0 @@
Disable a single check. The failure is discussed at:
https://savannah.gnu.org/bugs/index.php?41786
--- a/lib/tests/test_regexranges_main.cpp 2012-04-14 08:58:25.000000000 -0500
+++ b/lib/tests/test_regexranges_main.cpp 2014-03-05 23:49:23.520402043 -0600
@@ -52,7 +52,7 @@
check_range_regex("simple regex");
check_range_regex("[[:alpha:]]+");
// test with a wrong regular expression
- check_range_regex("{notclosed", false);
+ // check_range_regex("{notclosed", false);
// reset regular expressions
ranges.clear();

+ 1
- 5
gnu/packages/pretty-print.scm View File

@ -152,11 +152,7 @@ different programming languages.")
version ".tar.gz"))
(sha256
(base32
"18xdalxg7yzrxc1njzgw7aryq2jdm7zq2yqz41sc7k6il5z6lcq1"))
(patches
(list (search-patch
;; Patch submitted as Savannah item #41786
"source-highlight-regexrange-test.patch")))))
"18xdalxg7yzrxc1njzgw7aryq2jdm7zq2yqz41sc7k6il5z6lcq1"))))
(build-system gnu-build-system)
;; The ctags that comes with emacs does not support the --excmd options,
;; so can't be used


Loading…
Cancel
Save